org.apache.lucene.geo

## Class Tessellator.Triangle

- java.lang.Object
- - org.apache.lucene.geo.Tessellator.Triangle

- Enclosing class:
    Tessellator

      public static final class Tessellator.Triangle
      extends Object

  Triangle in the tessellated mesh

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Triangle(Tessellator.Node a, boolean isABfromPolygon, Tessellator.Node b, boolean isBCfromPolygon, Tessellator.Node c, boolean isCAfromPolygon)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `containsPoint(double lat, double lon)` utility method to compute whether the point is in the triangle
    `int` | `getEncodedX(int vertex)` get quantized x value for the given vertex
    `int` | `getEncodedY(int vertex)` get quantized y value for the given vertex
    `double` | `getX(int vertex)` get x value for the given vertex
    `double` | `getY(int vertex)` get y value for the given vertex
    `boolean` | `isEdgefromPolygon(int startVertex)` get if edge is shared with the polygon for the given edge
    `String` | `toString()` pretty print the triangle vertices

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Triangle

          protected Triangle(Tessellator.Node a,
                             boolean isABfromPolygon,
                             Tessellator.Node b,
                             boolean isBCfromPolygon,
                             Tessellator.Node c,
                             boolean isCAfromPolygon)

  - ### Method Detail

    - #### getEncodedX

          public int getEncodedX(int vertex)

      get quantized x value for the given vertex

    - #### getEncodedY

          public int getEncodedY(int vertex)

      get quantized y value for the given vertex

    - #### getY

          public double getY(int vertex)

      get y value for the given vertex

    - #### getX

          public double getX(int vertex)

      get x value for the given vertex

    - #### isEdgefromPolygon

          public boolean isEdgefromPolygon(int startVertex)

      get if edge is shared with the polygon for the given edge

    - #### containsPoint

          protected boolean containsPoint(double lat,
                                          double lon)

      utility method to compute whether the point is in the triangle

    - #### toString

          public String toString()

      pretty print the triangle vertices
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.